# hello
def foo
  yield
end
require 'phi'
include  Phi 
require 'editor'

form = Form.new :form1

ed = Editor.new form, :editor1
ed.align = AL_CLIENT
ed.fountain = Editor::RubyFountain.new
ed.fountain.comment.color = CL_GREEN
ed.fountain.reserve.style = [FS_BOLD]
ed.fountain.definition.color = CL_PURPLE

ed.lines.text = File.open($0).read

form.show
Phi.mainloop
